%define oname plasma-integration

Summary:	Plasma 5 workspace and cross-framework integration module
Name:		plasma5-integration
Version:	5.10.5
Release:	5
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		plasma-integration-5.8.3-default-fonts.patch
# https://bugs.kde.org/show_bug.cgi?id=376630
Patch1:		plasma-integration-5.9.2-ignore-font-styles.patch
# Add more ways to find color scheme (use KDE4 colors for fallback etc)
Patch2:		plasma-integration-5.9.3-color-schemes.patch
# Add ~/.local/share/icons to icons search path
Patch3:		plasma-integration-5.9.3-icons.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	breeze-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5wayland-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)

%description
Plasma 5 workspace and cross-framework integration module.

#----------------------------------------------------------------------------

%package -n qt5-platformtheme-plasma5
Summary:	Plasma 5 platform theme for Qt 5
Group:		Graphical desktop/KDE
Requires:	frameworkintegration
Obsoletes:	qt5-platformtheme-kde5 < 5.23.0

%description -n qt5-platformtheme-plasma5
Plasma 5 platform theme for Qt 5.

%files -n qt5-platformtheme-plasma5 -f plasmaintegration5.lang
%{_qt5_plugindir}/platformthemes/KDEPlasmaPlatformTheme.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%cmake_kde5 \
	-DCMAKE_DISABLE_FIND_PACKAGE_FontNotoSans=true \
	-DCMAKE_DISABLE_FIND_PACKAGE_FontHack=true
%make

%install
%makeinstall_std -C build

%find_lang plasmaintegration5

%changelog

* Fri Nov 24 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-5
- (9b4b702) Bump release

* Mon Nov 06 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-4
- (a134de4) Bump release

* Fri Sep 08 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-3
- (35de596) Bump release

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-2
- (e964970) Bump release

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (8e9c007) New version 5.10.5

* Tue Aug 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-2
- (2dfa5cd) Bump release

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (963ac51) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (967ec14) New version 5.9.4

* Mon Mar 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-4
- (7474a60) Add ~/.kde4/share/icons to icons search path

* Fri Mar 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-3
- (6686c24) Add ~/.local/share/icons to icons search path

* Tue Mar 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-2
- (8b1f6c4) Look in ~/.kde4/share/apps/color-schemes for color schemes as well
- (Andrey Bondrov: 9b75093) Drop obvious comments from the recent patch
- (Andrey Bondrov: a3abee8) Add more ways to find color scheme (use KDE4 colors for fallback etc)

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (71a8ad1) New version 5.9.3

* Mon Feb 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-2
- (b652e55) Ignore font style, it breaks font rendering in some places

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (2d1d1bc) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (ed3dde4) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (682acec) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (0be3664) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (b740762) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (97991cd) Keep default fonts config (re-diff patch, update build options)
- (Andrey Bondrov: 5547a2a) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (baf9f7e) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (5e78af5) Build requires breeze-devel
- (valerol: 67ed653) Build requires pkgconfig(Qt5Qml)
- (valerol: d821434) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (e8267ec) New version 5.6.5

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (079862e) Add Requires frameworkintegration
- (Andrey Bondrov: cac9cda) Add Obsoletes to replace qt5-platformtheme-kde5
- (Andrey Bondrov: eddb23a) New version 5.6.3


